#ifndef __DIRECTOR_H
#define __DIRECTOR_H

#include <vdr/plugin.h>

static const char *VERSION        = "0.2.0";
static const char *DESCRIPTION    = "plugin to use the premiere multifeed option";
static const char *MAINMENUENTRY  = "Director";
int hide;

class cPluginDirector : public cPlugin {
private:	
  // Add any member variables or functions you may need here.
public:
  cPluginDirector(void);
  virtual ~cPluginDirector();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return (hide ? NULL : tr(MAINMENUENTRY)); }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  };

#endif //__DIRECTOR_H
